extends ../base.jade

block title
  title Редактирование

block scripts
  script(src="//cdn.ckeditor.com/4.4.5/standard-all/ckeditor.js")

block vars
  - var page = 'edit'
  - var schema = [{name:'last_name',title:'Фамилия',type:'string',required: true},{name:'first_name',title:'Имя',type:'string',required: true},{name: 'second_name',title: 'Отчество',type: 'string',required: true},{name: 'email',title: 'email',type: 'email'},{name: 'is_working',title: 'Работает в настоящее время',type: 'boolean'}]
  //- - var schema = [
  //-   {
  //-     name:'last_name',
  //-     title:'Фамилия',
  //-     type:'string',
  //-     required: true
  //-   },{
  //-     name:'first_name',
  //-     title:'Имя',
  //-     type:'string',
  //-     required: true
  //-   },{
  //-     name: 'second_name',
  //-     title: 'Отчество',
  //-     type: 'string',
  //-     required: true
  //-   },{
  //-     name: 'email',
  //-     title: 'email',
  //-     type: 'email'
  //-   },{
  //-     name: 'is_working',
  //-     title: 'Работает в настоящее время',
  //-     type: 'boolean'
  //-   }
  //- ]

block main
  .PW.isle
    if action === 'create'
      h2 Новый доктор
    else 
      h2 Редактирование профиля доктора

    form(method="POST", action= "/doctor"+(action === 'edit'? '/'+doctor.id+'?_method=PUT' : '' ))
      //- input(type="hidden", name="_csrf", value= _csrf)
      != Html.edit_entity_form(doctor, schema)
      button.connect(type="submit")= (action === 'create')? 'Создать' : 'Сохранить изменения'